- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Deletes a row access policy.
HTTP request
DELETE https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/datasets/{datasetId}/tables/{tableId}/rowAccessPolicies/{policyId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. Project ID of the table to delete the row access policy. |
datasetId |
Required. Dataset ID of the table to delete the row access policy. |
tableId |
Required. Table ID of the table to delete the row access policy. |
policyId |
Required. Policy ID of the row access policy. |
Query parameters
| Parameters | |
|---|---|
force |
If set to true, it deletes the row access policy even if it's the last row access policy on the table and the deletion will widen the access rather narrowing it. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.